Loading...
Searching...
No Matches
Ogre::Bullet::CollisionListener Struct Referenceabstract
Optional Components » Bullet

`#include <OgreBullet.h>`

## Public Member Functions

virtual | ~CollisionListener ()
virtual void | contact (const MovableObject *other, const btManifoldPoint &manifoldPoint)=0
| Called when two objects collide.

## Constructor & Destructor Documentation

## ~CollisionListener()

virtual Ogre::Bullet::CollisionListener::~CollisionListener | ( |  | ) |

inline virtual

## Member Function Documentation

## contact()

virtual void Ogre::Bullet::CollisionListener::contact | ( | const MovableObject * | other,
|  | const btManifoldPoint & | manifoldPoint )

pure virtual

Called when two objects collide.

Parameters

  other | the other object
  manifoldPoint | the collision point

The documentation for this struct was generated from the following file:

- OgreBullet.h